Cantera 2.6.0

Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
Interface Class Reference

A container class holding managers for all pieces defining an interface. More...

`#include <Interface.h>`

Inheritance diagram for Interface:
[legend]
Collaboration diagram for Interface:
[legend]

## Public Member Functions
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
void | setThermo (shared_ptr< ThermoPhase > thermo) override
| Set the reacting phase thermo object. More...
void | setKinetics (shared_ptr< Kinetics > kinetics) override
| Set the Kinetics object. More...
shared_ptr< SurfPhase > | thermo ()
| Get the surface phase thermo object. More...
shared_ptr< InterfaceKinetics > | kinetics ()
| Get the surface phase Kinetics object. More...
Public Member Functions inherited from Solution
| Solution (const Solution &)=delete
Solution & | operator= (const Solution &)=delete
std::string | name () const
| Return the name of this Solution object. More...
void | setName (const std::string &name)
| Set the name of this Solution object. More...
virtual void | setThermo (shared_ptr< ThermoPhase > thermo)
| Set the ThermoPhase object. More...
virtual void | setKinetics (shared_ptr< Kinetics > kinetics)
| Set the Kinetics object. More...
virtual void | setTransport (shared_ptr< Transport > transport)
| Set the Transport object. More...
shared_ptr< ThermoPhase > | thermo ()
| Accessor for the ThermoPhase pointer. More...
shared_ptr< Kinetics > | kinetics ()
| Accessor for the Kinetics pointer. More...
shared_ptr< Transport > | transport ()
| Accessor for the Transport pointer. More...
void | addAdjacent (shared_ptr< Solution > adjacent)
| Add a phase adjacent to this phase. More...
shared_ptr< Solution > | adjacent (size_t i)
| Get the Solution object for an adjacent phase by index. More...
shared_ptr< Solution > | adjacent (const std::string &name)
| Get the Solution object for an adjacent phase by name. More...
size_t | nAdjacent () const
| Get the number of adjacent phases. More...
AnyMap | parameters (bool withInput=false) const
const AnyMap & | header () const
| Access input data associated with header definition. More...
AnyMap & | header ()
const std::string | source () const
| Retrieve source used for object creation; usually an input file name. More...
void | setSource (const std::string &source)
| Overwrite source (only required if object is not created using newSolution) More...

## Static Public Member Functions
static shared_ptr< Interface > | create ()
| Create an empty Interface object. More...
Static Public Member Functions inherited from Solution
static shared_ptr< Solution > | create ()
| Create an empty Solution object. More...

## Protected Attributes
shared_ptr< SurfPhase > | m_surf
| Surface phase ThermoPhase manager. More...
shared_ptr< InterfaceKinetics > | m_surfkin
| Kinetics manager. More...
Protected Attributes inherited from Solution
shared_ptr< ThermoPhase > | m_thermo
| ThermoPhase manager. More...
shared_ptr< Kinetics > | m_kinetics
| Kinetics manager. More...
shared_ptr< Transport > | m_transport
| Transport manager. More...
std::vector< shared_ptr< Solution > > | m_adjacent
| Adjacent phases, for access by index. More...
std::map< std::string, shared_ptr< Solution > > | m_adjacentByName
| Adjacent phases, for access by name. More...
AnyMap | m_header
| Additional input fields; usually from a YAML input file. More...

## Detailed Description

A container class holding managers for all pieces defining an interface.

Definition at line 17 of file Interface.h.

## Constructor & Destructor Documentation

## ◆ Interface()

Interface | ( |  | ) |
| private

Definition at line 16 of file Interface.cpp.

## ◆ ~Interface()

~Interface | ( |  | ) |
| inline

Definition at line 23 of file Interface.h.

## Member Function Documentation

## ◆ create()

static shared_ptr< Interface > create | ( |  | ) |
| inline static

Create an empty Interface object.

Definition at line 28 of file Interface.h.

Referenced by Cantera::newSolution().

## ◆ setThermo()

void setThermo | ( | shared_ptr< ThermoPhase > | thermo | ) |
| override virtual

Set the reacting phase thermo object.

Reimplemented from Solution.

Definition at line 18 of file Interface.cpp.

References Interface::m_surf, Solution::setThermo(), and Interface::thermo().

## ◆ setKinetics()

void setKinetics | ( | shared_ptr< Kinetics > | kinetics | ) |
| override virtual

Set the Kinetics object.

Reimplemented from Solution.

Definition at line 29 of file Interface.cpp.

References Interface::kinetics(), Interface::m_surfkin, and Solution::setKinetics().

## ◆ thermo()

shared_ptr< SurfPhase > thermo | ( |  | ) |
| inline

Get the surface phase thermo object.

Definition at line 39 of file Interface.h.

References Interface::m_surf.

Referenced by Interface::setThermo().

## ◆ kinetics()

shared_ptr< InterfaceKinetics > kinetics | ( |  | ) |
| inline

Get the surface phase Kinetics object.

Definition at line 44 of file Interface.h.

References Interface::m_surfkin.

Referenced by Interface::setKinetics().

## Member Data Documentation

## ◆ m_surf

shared_ptr<SurfPhase> m_surf
| protected

Surface phase ThermoPhase manager.

Definition at line 49 of file Interface.h.

Referenced by Interface::setThermo(), and Interface::thermo().

## ◆ m_surfkin

shared_ptr<InterfaceKinetics> m_surfkin
| protected

Kinetics manager.

Definition at line 50 of file Interface.h.

Referenced by Interface::kinetics(), and Interface::setKinetics().

The documentation for this class was generated from the following files:

- Interface.h
- Interface.cpp